#include <OneWire.h>
#include <DallasTemperature.h>

float temp = 0.0;
int oneWireBus = 12;
OneWire oneWire(oneWireBus);
DallasTemperature sensors(&oneWire);

void setup(void) {

  pinMode(LED_BUILTIN, OUTPUT);
  digitalWrite(LED_BUILTIN, LOW);
  pinMode(6, OUTPUT);
  digitalWrite(6, LOW);
  pinMode(7, OUTPUT);

  Serial.begin(9600);
  Serial.println("Mediciones de temperatura");
  sensors.begin();

}

void loop(void) {

  sensors.requestTemperatures();
  temp = sensors.getTempCByIndex(0);

  if(temp > 8.0 || temp < 2.0){

    digitalWrite(6, HIGH);
    tone(7, 2000);
    delay(1000);
    digitalWrite(6, LOW);
    noTone(7);
    
  }

  else{

    digitalWrite(6, LOW);
    noTone(7);
    
  }

  Serial.print("Tem: " + String(temp,1) + "C" );
  

  delay(1000);
}
